package linux-backports-modules-wireless-2.6.32-16-generic-pae 2.6.32-16.6 failed to install/upgrade: trying to overwrite '/lib/udev/compat_firmware.sh', which is also in package linux-backports-modules-wireless-2.6.32-16-generic 0:2.6.32-16.7

Bug #535132 reported by W. Scott Lockwood III on 2010-03-09
390
This bug affects 78 people
Affects Status Importance Assigned to Milestone
linux-backports-modules-2.6.32 (Ubuntu)
Undecided
Unassigned
Lucid
Low
Unassigned

Bug Description

1
scott@scott-d630:~$ uname -a
Linux scott-d630 2.6.32-16-generic-pae #24-Ubuntu SMP Sat Mar 6 14:03:05 UTC 2010 i686 GNU/Linux

2
scott@scott-d630:~$ lsb_release -rd
Description: Ubuntu lucid (development branch)
Release: 10.04

3
I expected the package to install

4
It got the attached error:
package linux-backports-modules-wireless-2.6.32-16-generic-pae 2.6.32-16.6 failed to install/upgrade: trying to overwrite '/lib/udev/compat_firmware.sh', which is also in package linux-backports-modules-wireless-2.6.32-16-generic 0:2.6.32-16.7

ProblemType: Package
Architecture: i386
Date: Tue Mar 9 09:54:00 2010
DistroRelease: Ubuntu 10.04
ErrorMessage: trying to overwrite '/lib/udev/compat_firmware.sh', which is also in package linux-backports-modules-wireless-2.6.32-16-generic 0:2.6.32-16.7
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
NonfreeKernelModules: openafs nvidia
Package: linux-backports-modules-wireless-2.6.32-16-generic-pae 2.6.32-16.6
ProcVersionSignature: Ubuntu 2.6.32-16.24-generic-pae
SourcePackage: linux-backports-modules-2.6.32
Title: package linux-backports-modules-wireless-2.6.32-16-generic-pae 2.6.32-16.6 failed to install/upgrade: trying to overwrite '/lib/udev/compat_firmware.sh', which is also in package linux-backports-modules-wireless-2.6.32-16-generic 0:2.6.32-16.7
Uname: Linux 2.6.32-16-generic-pae i686

W. Scott Lockwood III (wsl3) wrote :
Rolf Leggewie (r0lf) wrote :

confirming

the newer package needs to conflict with the older one. You can uninstall the older package manually and that should resolve the error for you.

Changed in linux-backports-modules-2.6.32 (Ubuntu):
importance: Undecided → Medium
milestone: none → ubuntu-10.04-beta-2
status: New → Triaged
Rolf Leggewie (r0lf) wrote :

Maybe the best way to fix this would be to move /lib/udev/compat_firmware.sh into the linux-backports-modules-wireless-lucid-generic package?

This bug still affect me in 2.6.32-21.
I wish this would be close for the final release

Russ Dill (russ-dill) wrote :

Forcing removal of the old one doesn't make sense. Ubuntu supports being able to choose from multiple kernels at boot.

Jon Valentine (xarmyvet02) wrote :

trying to get my wireless up and running. It was easier to do and I was more successful with the RC than the release.

bwallum (rbw2) wrote :

First occurrence of this bug for me following update 17:00hrs 29th Apr - AMD64 Ubuntu Lucid

Ulsak (jari-saarelainen) wrote :

maybe it was a mistake to include such old kernel versions..

Ernie Byars (ernie-byars) wrote :

I ran into this problem on my Acer Aspire One went trying to correct the issue of WIFI dropping randomly.

install the backports wireless modules from synaptic package manager

On Sun, 2010-06-27 at 03:48 +0000, Ernie Byars wrote:
> I ran into this problem on my Acer Aspire One went trying to correct the
> issue of WIFI dropping randomly.
>

I have try this one already, but on an assembled computer with mainly asus
parts in it is not working

On Sun, Jun 27, 2010 at 9:11 AM, Prariedog75 <email address hidden> wrote:

> install the backports wireless modules from synaptic package manager
>
> On Sun, 2010-06-27 at 03:48 +0000, Ernie Byars wrote:
> > I ran into this problem on my Acer Aspire One went trying to correct the
> > issue of WIFI dropping randomly.
> >
>
> --
> package linux-backports-modules-wireless-2.6.32-16-generic-pae 2.6.32-16.6
> failed to install/upgrade: trying to overwrite
> '/lib/udev/compat_firmware.sh', which is also in package
> linux-backports-modules-wireless-2.6.32-16-generic 0:2.6.32-16.7
> https://bugs.launchpad.net/bugs/535132
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux-backports-modules-2.6.32” package in Ubuntu: Triaged
>
> Bug description:
> 1
> scott@scott-d630:~$ uname -a
> Linux scott-d630 2.6.32-16-generic-pae #24-Ubuntu SMP Sat Mar 6 14:03:05
> UTC 2010 i686 GNU/Linux
>
> 2
> scott@scott-d630:~$ lsb_release -rd
> Description: Ubuntu lucid (development branch)
> Release: 10.04
>
> 3
> I expected the package to install
>
> 4
> It got the attached error:
> package linux-backports-modules-wireless-2.6.32-16-generic-pae 2.6.32-16.6
> failed to install/upgrade: trying to overwrite
> '/lib/udev/compat_firmware.sh', which is also in package
> linux-backports-modules-wireless-2.6.32-16-generic 0:2.6.32-16.7
>
> ProblemType: Package
> Architecture: i386
> Date: Tue Mar 9 09:54:00 2010
> DistroRelease: Ubuntu 10.04
> ErrorMessage: trying to overwrite '/lib/udev/compat_firmware.sh', which is
> also in package linux-backports-modules-wireless-2.6.32-16-generic
> 0:2.6.32-16.7
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> NonfreeKernelModules: openafs nvidia
> Package: linux-backports-modules-wireless-2.6.32-16-generic-pae 2.6.32-16.6
> ProcVersionSignature: Ubuntu 2.6.32-16.24-generic-pae
> SourcePackage: linux-backports-modules-2.6.32
> Title: package linux-backports-modules-wireless-2.6.32-16-generic-pae
> 2.6.32-16.6 failed to install/upgrade: trying to overwrite
> '/lib/udev/compat_firmware.sh', which is also in package
> linux-backports-modules-wireless-2.6.32-16-generic 0:2.6.32-16.7
> Uname: Linux 2.6.32-16-generic-pae i686
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/linux-backports-modules-2.6.32/+bug/535132/+subscribe
>

Michael Vogt (mvo) on 2010-06-28
Changed in linux-backports-modules-2.6.32 (Ubuntu):
milestone: ubuntu-10.04-beta-2 → ubuntu-10.04.1
Tim Gardner (timg-tpi) on 2010-07-02
Changed in linux-backports-modules-2.6.32 (Ubuntu Lucid):
assignee: nobody → Tim Gardner (timg-tpi)
importance: Undecided → Low
milestone: none → ubuntu-10.04.1
status: New → In Progress
Tim Gardner (timg-tpi) wrote :

SRU Justification

Impact: Users cannot have multiple flavours of LBM compat-wireless packages installed.

Patch Description: Make the udev firmware helper file name unique on ABI _and_ flavour

Patch: attached

Martin Pitt (pitti) on 2010-07-20
Changed in linux-backports-modules-2.6.32 (Ubuntu):
milestone: ubuntu-10.04.1 → none
Martin Pitt (pitti) on 2010-07-20
Changed in linux-backports-modules-2.6.32 (Ubuntu Lucid):
milestone: ubuntu-10.04.1 → ubuntu-10.04.2
Tim Gardner (timg-tpi) on 2010-08-27
Changed in linux-backports-modules-2.6.32 (Ubuntu Lucid):
assignee: Tim Gardner (timg-tpi) → nobody
status: In Progress → Fix Committed
Changed in linux-backports-modules-2.6.32 (Ubuntu):
importance: Medium → Undecided
status: Triaged → Invalid

Accepted linux-backports-modules-2.6.32 into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-backports-modules-2.6.32 - 2.6.32-25.23

---------------
linux-backports-modules-2.6.32 (2.6.32-25.23) lucid-proposed; urgency=low

  [ Brad Figg ]

  * SAUCE: ALSA: HDA: Enable internal mic on Dell E6410 and Dell E6510
    - LP: #605047, #628961

linux-backports-modules-2.6.32 (2.6.32-25.22) lucid-proposed; urgency=low

  [ Stefan Bader ]

  * Bump ABI to -25 for proposed upload.

linux-backports-modules-2.6.32 (2.6.32-24.21) lucid-proposed; urgency=low

  [ Tim Gardner ]

  * Add Conflicts/Replaces for compat-wireless
    - LP: #621185

linux-backports-modules-2.6.32 (2.6.32-24.20) lucid-proposed; urgency=low

  [ Tim Gardner ]

  * Added patch infrastructure
    - LP: #621185
  * Update atl1c to 1.0.1.0-NAPI from 2.6.36-rc2
    - LP: #621185

linux-backports-modules-2.6.32 (2.6.32-24.19) lucid-proposed; urgency=low

  [ Stefan Bader ]

  * Add WWAN sub-package and backported qcserial
    - LP: #554099

  [ Tim Gardner ]

  * Make udev firmware helper file name unique by ABI and flavour
    - LP: #535132
  * Added compat-wireless-2.6.35-1
    - LP: #621185
  * Package multiple versions of compat-wireless
    - LP: #621185
  * Update to compat-wireless-2.6.34.1
    - LP: #618578
  * Use POCKET in flavour stub to correctly reference meta files
    - LP: #621185
 -- Brad Figg <email address hidden> Thu, 09 Sep 2010 10:44:36 -0700

Changed in linux-backports-modules-2.6.32 (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers